
    * {
      margin: 0;
      padding: 0;
      box-sizing: border-box;
    }

    body {
      font-family: Times New Roman, serif;
      padding-top: 60px;
      background-color: #f3eed8;  /* couleur fond */
      }
    h1 {
      text-align: center;
      font-size: 40px;
      font-weight: bold;
      font-style: italic;
      margin-top: 20px;
    }

    .header-bar {
      position: fixed;
      top: 0;
      left: 0;
      height: 60px;
      width: 100%;
      background-color: #C0AA46;
      color: white;
      z-index: 2000;
      display: flex;
      align-items: center;
      justify-content: space-between;
      padding: 0 20px;
      box-shadow: 0 2px 8px rgba(0, 0, 0, 0.4);
    }

    .header-title {
      display: flex;
      align-items: center;
      gap: 12px;
      font-size: 40px;
      font-weight: bold;
    }

    .header-logo {
      height: 42px;
      width: auto;
    }
    .logo-link {
      display: flex;
      align-items: center;
      text-decoration: none;      
    }

    .logo-link img {
      display: block;
    }

    .logo-link:hover img {
      transform: scale(1.1);
    }

    .nav-links {
      display: flex;
      gap: 20px;
    }

      /* -------- Effet menu (texte uniquement) -------- */
      .nav-links a {
        color: white;
        text-decoration: none;
        font-size: 25px;  
        position: relative;
        padding: 6px 4px;
        transition: transform 0.25s ease, text-shadow 0.25s ease;
      }

      /* soulignement animé */
      .nav-links a::after {
        content: "";
        position: absolute;
        left: 0;
        bottom: -6px;
        width: 0;
        height: 2px;
        background-color: white;
        transition: width 0.3s ease;
      }

      /* hover */
      .nav-links a:hover {
        transform: translateY(-3px);
        text-shadow: 0 4px 10px rgba(0,0,0,0.35);
      }

      .nav-links a:hover::after {
        width: 100%;
      }
      .nav-links a.active {
        font-weight: bold;
      }

      .nav-links a.active::after {
        width: 100%;
      }

    .burger {
      display: none;
      flex-direction: column;
      cursor: pointer;
    }

    .burger div {
      width: 25px;
      height: 3px;
      background-color: white;
      margin: 3px 0;
    }
      
     /* ----------------tableau 3 colonnes -------*/        
    .three-column {
      display: flex;
      justify-content: space-around;
      flex-wrap: wrap;
      gap: 20px;
      margin: 5px;
    }

     .three-column .column {
       flex: 1;
       min-width: 200px;
       max-width: 300px;
       text-align: center;
    }
 
    .slider-container {
      position: relative;
      width: 100%;
      height: 480px;
      overflow: hidden;
      border: 5px solid #fff;
      background-color: #fff;
      box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
      z-index: 999;
    }
    /* ----------bandeau images -----------*/
      
    .slider-image {
      position: absolute;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
      object-fit: cover;
      opacity: 0;
      transition: opacity 1s ease-in-out;
    }

    .slider-image.active {
      opacity: 1;
    }

    .nav-button {
      position: absolute;
      top: 50%;
      transform: translateY(-50%);
      background-color: rgba(0, 0, 0, 0.2);
      color: white;
      font-size: 2rem;
      padding: 10px 20px;
      cursor: pointer;
      z-index: 10;
      opacity: 1;    
      user-select: none;
    }
    .nav-button:hover {
        background-color: rgba(0, 0, 0, 0.6);
    }
    .nav-button.left { left: 10px; }
    .nav-button.right { right: 10px; }

      /* ---------------texte----------------*/
    .footer-text {
      text-align: center;
      margin-top: 30px;
    }

    .footer-text .welcome {
      font-size: 34px;
      font-weight: bold;
    }

    .footer-text .casaminnie {
      font-size: 40px;
      font-weight: bold;
      font-style: italic;
    }

    .footer-text .description {
      font-size:24px;
    }
      
    .footer-text .description2 {
      text-align: left;    
      margin: 30px 0;
      font-size: 20px;  
      text-decoration: underline;    
    }

    .section {
      margin: 20px auto;
      max-width: 1200px;
      padding: 0 60px;
    }

    /* ---------------tableau 2 colonnes  Equipement-----------------*/  
    .row {
      display: flex;
      flex-wrap: wrap;
      justify-content: space-around;
      gap: 20px;
      margin: 20px;
    }

    .col-2, .col-3 {
      padding: 10px;
    }

    .col-2 {
      flex: 1;
      min-width: 300px;
      max-width: 400px;
   /*   text-align: center;*/
    }

    .col-3 {
      flex: 1 1 30%;
    /*  text-align: center;*/
    }

    .col-3 img {
      max-width: 100%;
      height: auto;
    }

    .faq {
      margin: 20px 0;
    }
      
    hr {
      margin: 30px 0;
      border: none;
      border-top: 1px solid #ccc;
    }

    details {
      margin-bottom: 10px;
    }
     
   /* -----------------2 colonnes tableau------*/      
        
    .two-columns {
          display: flex;
          flex-wrap: wrap;
          width: 100%;
          margin-top: 0px;
          padding: 20px;
        }

    .col-left {
          width: 65%; /* larg1 : modifie ce pourcentage */
          padding: 10px;
   /*       background-color: #eee;   */
        }

    .col-right {
          width: 35%; /* larg2 : modifie ce pourcentage */
          padding: 10px;
    /*      background-color: #eee;   */
        }  
      
           /* -----------------2 colonnes tableau FAQ-------*/
      
     .two-columnsfaq {
          display: flex;
          flex-wrap: wrap;
          width: 100%;
          margin-top: 0px;
        }

    .col-leftfaq {
          width: 30%; /* larg1 : modifie ce pourcentage */
          padding: 15px;
   /*       background-color: #eee;   */
        }

    .col-rightfaq {
          width: 70%; /* larg2 : modifie ce pourcentage */
          padding: 15px;
    /*      background-color: #eee;   */
        }  
       
         /* ------------------tableau accordeon FAQ-------*/
      
        .accordion-table {
          width: 90%;
          max-width: 800px;
          margin: 40px auto;
          font-family: 'Times New Roman', serif;
          border-collapse: collapse;
        }

        .accordion-table td {
          border: 1px solid #ccc;
          padding: 0;
        }

        .accordion input {
          display: none;
        }

        .accordion label {
          display: flex;
          justify-content: space-between;
          align-items: center;
          background-color: #C0AA46;
          color: white;
          padding: 15px 20px;
          font-weight: bold;
          cursor: pointer;
          font-size: 18px;
          transition: background-color 0.3s;
        }

        .accordion label svg {
          transition: transform 0.3s ease;
          fill: white;
          width: 18px;
          height: 18px;
          margin-left: 10px;
        }

        .accordion input:checked + label svg {
          transform: rotate(180deg);
        }

        .accordion-content {
          display: none;
          padding: 15px 20px;
          background-color: #fdfdfd;
          color: #333;
          font-size: 16px;
        }

        .accordion input:checked ~ .accordion-content {
          display: block;
        }

      /*---------------- retour haut de page --------*/
    .back-to-top {
      position: fixed;
      bottom: 20px;
      right: 20px;
      background-color: #aaa;
      color: #fff;
      padding: 10px 15px;
      font-size: 16px;
      border: none;
      cursor: pointer;
      border-radius: 5px;
      z-index: 1000;
    }
        
      /* -------- pied de page ------*/
      .footerb {
        background-color: #C0AA46; /* ou autre couleur */
        padding: 2px;
        text-align: center;
        color: white;
        font-family: 'Times New Roman', serif;
      }

      .footerb-logo {
        height: 40px;
        vertical-align: middle;
        margin-right: 10px;
      }

      .footerb-text {
        display: inline-block;
        font-size: 18px;
        vertical-align: middle;
      }
      
     /* *------ formulaire contact --------- */   
      
    .contact-form {
      max-width: 500px;
      margin: 0 auto;
      background-color: white;
      padding: 30px;
      border-radius: 10px;
      box-shadow: 0 0 15px rgba(0,0,0,0.1);
    }

    .contact-form h2 {
      text-align: center;
      margin-bottom: 20px;
    }

    .contact-form label {
      display: block;
      margin-top: 10px;
      font-weight: bold;
    }

    .contact-form input,
    .contact-form textarea {
      width: 100%;
      padding: 10px;
      margin-top: 5px;
      border: 1px solid #ccc;
      border-radius: 5px;
      font-size: 16px;
    }

    .contact-form button {
      margin-top: 20px;
      background-color: #5a9;
      color: white;
      border: none;
      padding: 12px;
      width: 100%;
      font-size: 16px;
      border-radius: 5px;
      cursor: pointer;
    }

    .contact-form button:hover {
      background-color: #48a;
    }

    .success-message {
      color: green;
      font-weight: bold;
      margin-top: 20px;
      text-align: center;
      display: none;
    }
/*------------------ image effet hower------------*/
      .image-link {
        display: inline-block;
      }

      .image-img {
        max-height: 200px;
        transition: transform 0.3s ease, filter 0.3s ease;
      }

      /* Effet au survol */
      .image-link:hover .image-img {
        transform: scale(1.05);
        filter: brightness(1.1);
        cursor: pointer;
      }

        /* --------------------------------mobile 768 px---------------------------*/   
        /* --------------------------------mobile 768 px---------------------------*/    
    @media (max-width: 768px) {
        
      .header-title {
        font-size: 25px;
        font-weight: bold;
        gap: 10px;
      }

      .header-logo {
        height: 26px;
      }
 /*     .nav-btn {
        margin: 6px 0;
        text-align: center;
        font-size: 18px;
      }        */
        
      .nav-links {
        position: absolute;
        top: 40px;
        left: 0;
        width: 100%;
        flex-direction: column;
        background-color: #C0AA46;

        max-height: 0;
        overflow: hidden;
        opacity: 0;
        transform: translateY(-14px);

        transition:
          max-height 0.45s cubic-bezier(0.16, 1, 0.3, 1),
          opacity 0.25s ease-out,
          transform 0.45s cubic-bezier(0.34, 1.56, 0.64, 1);
      }

      .nav-links.active {
        max-height: 320px;
        opacity: 1;
        transform: translateY(3px); /*  petit dépassement */
      }

        /* -------- Effet menu (texte uniquement) -------- */
        .nav-links a {
          color: white;
          text-decoration: none;
          font-size: 20px;  
          position: relative;
          padding: 6px 6px;
          transition: transform 0.25s ease, text-shadow 0.25s ease;
        }

        /* soulignement animé */
        .nav-links a::after {
          content: "";
          position: absolute;
          left: 0;
          bottom: -6px;
          width: 0;
          height: 2px;
          background-color: white;
          transition: width 0.3s ease;
        }

        /* hover */
        .nav-links a:hover {
          transform: translateY(-2px);
          text-shadow: 0 4px 10px rgba(0,0,0,0.35);
        }

        .nav-links a:hover::after {
          width: 100%;
        }
        .nav-links a.active {
          font-weight: bold;
        }

        .nav-links a.active::after {
          width: 100%;
        }
        
      .nav-links.active {
        display: flex;
      }
        
      .section {
        margin: 10px auto;
        max-width: 1200px;
        padding: 0 20px;
      }
        
      .burger {
        display: flex;
      }
        
       .two-columns {
          display: flex;
          flex-wrap: wrap;
          width: 100%;
          margin-top: 15px;
          padding: 5px;
        }    
        
        .col-left {
          width: 65%; /* larg1 : modifie ce pourcentage */
          padding: 0px;
   /*       background-color: #eee;   */
        }

       .col-right {
          width: 35%; /* larg2 : modifie ce pourcentage */
          padding: 1px;
    /*      background-color: #eee;   */
        }  
    
        
      .three-column {
        flex-direction: column;
        align-items: center;
      }
        

      .three-column .column {
        width: 100%;  
        max-width: 100%;
      }
        
      .row {
        flex-direction: column;
        align-items: center;
      }

      .col-2 {
        width: 100%;
        max-width: 100%;
      }      
      .header-bar {
        height: 40px;
      }

      .slider-container {
        height: 300px;
      }

       body {
         padding-top: 40px; 
       }

       .footer-text .welcome {
         font-size: 25px;
       }

       .footer-text .casaminnie {
         font-size: 35px;
       }

       .footer-text .description {
         font-size: 20px;
        }    
        
       .col-left, .col-right {
          width: 100%; /* sur mobile, les colonnes passent l'une sous l'autre */
        } 
        
       .col-leftfaq, .col-rightfaq {
          width: 100%; /* sur mobile, les colonnes passent l'une sous l'autre */
        }          
      }

/* --------------------------------mobile 480 px------------------------------*/            
/* --------------------------------mobile 480 px------------------------------*/        
      @media (max-width: 480px) {
      .header-title {
      font-size: 22px;
      font-weight: bold;
     }      
        
      .header-logo {
         height: 24px;
      }
          
      .header-bar {
        height: 35px;
      }
      .nav-links {
        position: absolute;
        top: 35px;
        left: 0;
        width: 100%;
        flex-direction: column;
        background-color: #C0AA46;
       }

      .slider-container {
        height: 300px;
      }
          
      .nav-links a {
        color: white;
        text-decoration: none;
        font-size: 18px; 
        padding: 0px 20px;   
      }
          
      .section {
        margin: 10px auto;
        max-width: 1200px;
        padding: 0 20px;
      } 

      body {
        padding-top: 35px;
      }

      .footer-text .welcome {
        font-size: 25px;
      }

      .footer-text .casaminnie {
        font-size: 35px;
      }

      .footer-text .description {
        font-size: 20px;
      }

      .language-links a img {
        height: 80px;
      }
          
       .col-left, .col-right {
          width: 100%; /* sur mobile, les colonnes passent l'une sous l'autre */
      }           
}      
      
/* --------------------accordeon ----mobile 600   --------------------------------*/                 
        @media (max-width: 600px) {
          .accordion label {
            font-size: 16px;
            padding: 12px 16px;
          }

          .accordion-content {
            font-size: 15px;
            padding: 12px 16px;
          }
            
            .footerb-logo {
              height: 30px;
            }

            .footerb-text {
              font-size: 16px;
            }              
        }
/*---------- bouton Reserve-----------*/
        .btn-reserve {
          display: inline-block;
          padding: 14px 32px;
          font-size: 22px;
          font-weight: bold;
          color: white;
          text-decoration: none;
          background: linear-gradient(135deg, #C0AA46, #9e8c32);
          border-radius: 40px;
          box-shadow: 0 6px 15px rgba(0,0,0,0.25);
          transition: all 0.3s ease;
          position: relative;
          overflow: hidden;
        }

        /* effet hover */
        .btn-reserve:hover {
          transform: translateY(-3px) scale(1.05);
          box-shadow: 0 10px 25px rgba(0,0,0,0.35);
          background: linear-gradient(135deg, #d6be52, #b19a38);
        }

        /* petit effet "shine" */
        .btn-reserve::after {
          content: "";
          position: absolute;
          top: 0;
          left: -100%;
          width: 100%;
          height: 100%;
          background: linear-gradient(
            120deg,
            transparent,
            rgba(255,255,255,0.4),
            transparent
          );
          transition: left 0.5s ease;
        }

        .btn-reserve:hover::after {
          left: 100%;
        }
      
